%define upstream_name    Dist-Zilla-PluginBundle-RBO
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Dist::Zilla plugins for RBO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodVersion)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Moose::Autobox)
BuildArch: noarch

%description
This is the plugin bundle for RBO. It's an equivalent to:

    [@Basic]

    [MetaConfig]
    [MetaJSON]
    [Git::NextVersion]
    [Git::Tag]
    [PkgVersion]
    [PodVersion]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-10.mga8
+ Revision: 1494217
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-9.mga7
+ Revision: 1267498
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-8.mga6
+ Revision: 1026047
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.0-7.mga6
+ Revision: 970341
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.2.0-6.mga6
+ Revision: 885993
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 748532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 684580
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 511300
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 366669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 17 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 73070
- imported package perl-Dist-Zilla-PluginBundle-RBO


* Thu Mar 17 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
